Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-sdl2/colors.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
colors.c File Reference
`#include <SDL2/SDL.h>`
`#include "rgbcolor.h"`
`#include "tilespec.h"`
`#include "themespec.h"`
`#include "colors.h"`

Go to the source code of this file.

## Functions

SDL_Color * | get_theme_color (enum theme_color themecolor)
SDL_Color * | get_game_color (enum color_std stdcolor)
struct color * | color_alloc_rgba (int r, int g, int b, int a)
struct color * | color_alloc (int r, int g, int b)
void | color_free (struct color *pcolor)
int | color_brightness_score (struct color *pcolor)

## Function Documentation

## ◆ color_alloc()

struct color * color_alloc | ( | int | r,
|  | int | g,
|  | int | b
| ) |  |

Allocate a solid color and return a pointer to it.

Definition at line 82 of file colors.c.

## ◆ color_alloc_rgba()

struct color * color_alloc_rgba | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Allocate a color with alpha channel and return a pointer to it. Alpha channel is not really used yet.

Definition at line 64 of file colors.c.

Referenced by ensure_color_rgba().

## ◆ color_brightness_score()

int color_brightness_score | ( | struct color * | pcolor | ) |

Return a number indicating the perceptual brightness of this color relative to others (larger is brighter).

Definition at line 117 of file colors.c.

## ◆ color_free()

void color_free | ( | struct color * | pcolor | ) |

Free resources allocated for color.

Definition at line 100 of file colors.c.

## ◆ get_game_color()

SDL_Color * get_game_color | ( | enum color_std | stdcolor | ) |

Get color for some game object instance.

Definition at line 55 of file colors.c.

Referenced by get_tech_color(), popup_advanced_terrain_dialog(), and real_info_city_report_dialog_update().

## ◆ get_theme_color()

SDL_Color * get_theme_color | ( | enum theme_color | themecolor | ) |

Get color from theme.

Definition at line 47 of file colors.c.

Referenced by convert_iconlabel_to_themeiconlabel2(), create_city_options_widget_list(), create_icon_theme_surf(), create_select_tech_icon(), create_tech_info(), create_themelabel2(), create_utf8_str(), draw_selection_rectangle(), economy_report_dialog_popup(), msg_callback(), nation_button_callback(), option_dialog_worklist(), popup_advanced_terrain_dialog(), popup_city_cma_dialog(), popup_conn_list_dialog(), popup_connection_dialog(), popup_diplomacy_dialog(), popup_diplomatic_objects(), popup_hurry_production_dialog(), popup_impr_info(), popup_join_game_dialog(), popup_new_user_passwd_dialog(), popup_newcity_dialog(), popup_notify_dialog(), popup_players_dialog(), popup_players_nations_dialog(), popup_races_dialog(), popup_sabotage_dialog(), popup_sell_impr_callback(), popup_tech_info(), popup_terrain_info_dialog(), popup_unit_disband_dlg(), popup_unit_info(), popup_unit_upgrade_dlg(), popup_upgrade_unit_callback(), popup_user_passwd_dialog(), popup_war_dialog(), popup_worklist_editor(), real_activeunits_report_dialog_update(), real_city_report_dialog_update_city(), real_economy_report_dialog_update(), real_info_city_report_dialog_update(), real_meswin_dialog_update(), real_players_dialog_update(), real_science_report_dialog_update(), real_units_report_dialog_update(), rebuild_imprm_list(), redraw_army_city_dialog(), redraw_city_dialog(), redraw_edit_chain(), redraw_happiness_city_dialog(), redraw_ibutton(), redraw_icon2(), redraw_impr_info_dlg(), redraw_info_city_dialog(), redraw_label(), redraw_misc_city_dialog(), redraw_supported_units_city_dialog(), redraw_tech_info_dlg(), redraw_tech_tree_dlg(), redraw_unit_info_dlg(), redraw_unit_info_label(), redraw_widget_info_label(), redraw_window(), resize_window(), save_cma_callback(), sell_imprvm_dlg_callback(), setup_auxiliary_tech_icons(), tilespec_setup_city_icons(), units_orders_city_dlg_callback(), update_city_cma_dialog(), update_diplomacy_dialog(), and update_info_label().